# Processmaker Client Ruby

REST API Ruby Client for [ProcessMaker](http://www.processmaker.com/).

** /!\ This gem is still a work in progress and is not ready for production use ! /!\ **

## Installation

```
gem install processmaker
```

Or in your `Gemfile`

```
gem 'processmaker'
```

## Usage

Before using the client you first need to generate an access token from the Processmaker admin interface (check their [wiki](http://wiki.processmaker.com/3.1/OAuth_2.0#Registering_an_external_application_to_use_REST))

```ruby
client = Processmaker::Client.new(access_token: 'YOUR_TOKEN')

client.cases
# => [Processmaker::CaseResource]

client.cases.all
# => [Processmaker::Case(app_uid: '123', app_name: 'my_case', ....), ...]
```
