# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = "processmaker"
  spec.version       = File.read('VERSION')
  spec.authors       = ["Pierre Deville"]
  spec.email         = ["contact@pierre-deville.com"]

  spec.summary       = %q{Unofficial ProcessMaker API client in Ruby}
  spec.description   = %q{Unofficial ProcessMaker API client in Ruby}
  spec.homepage      = "https://github.com/Effilab/processmaker"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'activesupport', '> 3.0', '< 5.1'
  spec.add_dependency 'resource_kit', '~> 0.1.6'
  spec.add_dependency 'kartograph', '~> 0.2.4'
  spec.add_dependency 'virtus', '~> 1.0', '>= 1.0.5'

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'

end
